"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.linksCommandFactory = void 0;
const config_1 = __importDefault(require("config"));
const extensions_1 = require("../extensions");
const linksCommandFactory = () => {
    return new extensions_1.Command()
        .name("links")
        .description("Commonly used links in CSE")
        .addLinkCommands(config_1.default.get("links"))
        .addPhoneTree();
};
exports.linksCommandFactory = linksCommandFactory;
