"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.playbookIssuesCommandFactory = void 0;
const _1 = require(".");
const extensions_1 = require("../../../extensions");
const playbookIssuesCommandFactory = () => {
    return new extensions_1.Command()
        .name("issues")
        .description("Interacting with issues in the code-with engineering playbook")
        .addSubCommand(_1.playbookIssueCreateCommandFactory())
        .addSubCommand(_1.playbookIssuesOpenCommandFactory())
        .addPhoneTree();
};
exports.playbookIssuesCommandFactory = playbookIssuesCommandFactory;
