"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.playbookTemplateCommandFactory = void 0;
const extensions_1 = require("../../../extensions");
const _1 = require(".");
const playbookTemplateCommandFactory = () => {
    return new extensions_1.Command()
        .name("template")
        .description("Discover and use templates from the code-with engineering playbook")
        .addSubCommand(_1.playbookTemplateInitCommandFactory())
        .addSubCommand(_1.playbookTemplateListCommandFactory())
        .addPhoneTree();
};
exports.playbookTemplateCommandFactory = playbookTemplateCommandFactory;
