"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.versionCommandFactory = void 0;
const extensions_1 = require("../extensions");
const utils_1 = require("../utils");
const versionCommandFactory = () => {
    return new extensions_1.Command()
        .name("version")
        .description("Print current projector version")
        .addAction((serviceCollection) => {
        serviceCollection.logger.log(utils_1.PackageJson.getVersion());
    });
};
exports.versionCommandFactory = versionCommandFactory;
