import { RepoProviderOptions, RepoService } from "../models";
import { ObjectService, RepoServiceProvider } from "../services";
export declare class RepoServiceFactory {
    private static registry;
    static register(providerName: RepoServiceProvider, service: {
        new (options: RepoProviderOptions, contentService: ObjectService<string>): RepoService;
    }): void;
    static get(options: RepoProviderOptions, contentService: ObjectService<string>): RepoService;
}
