"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileCommandFactory = void 0;
const extensions_1 = require("../../extensions");
const _1 = require(".");
const agileCommandFactory = () => {
    return new extensions_1.Command()
        .name("agile")
        .description("Agile Configuration Management")
        .addSubCommand(_1.agileSprintsCommandFactory())
        .addSubCommand(_1.agileProjectCommandFactory())
        .addSubCommand(_1.agileWorkCommandFactory())
        .addPhoneTree();
};
exports.agileCommandFactory = agileCommandFactory;
