"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileProjectCommandFactory = void 0;
const extensions_1 = require("../../../extensions");
const _1 = require(".");
const agileProjectCommandFactory = () => {
    return new extensions_1.Command()
        .name("project")
        .description("Project Management")
        .addSubCommand(_1.agileProjectCreateCommandFactory())
        .addSubCommand(_1.agileProjectDeleteCommandFactory())
        .addPhoneTree();
};
exports.agileProjectCommandFactory = agileProjectCommandFactory;
