"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileWorkCommandFactory = void 0;
const _1 = require(".");
const extensions_1 = require("../../../extensions");
const agileWorkCommandFactory = () => {
    return new extensions_1.Command()
        .name("work")
        .description("Work Item Management")
        .addSubCommand(_1.agileWorkCreateCommandFactory())
        .addSubCommand(_1.agileWorkImportCommandFactory())
        .addSubCommand(_1.agileWorkTemplateCommandFactory())
        .addPhoneTree();
};
exports.agileWorkCommandFactory = agileWorkCommandFactory;
