"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileWorkTemplateCommandFactory = void 0;
const extensions_1 = require("../../../../extensions");
const _1 = require(".");
const agileWorkTemplateCommandFactory = () => {
    return new extensions_1.Command()
        .name("template")
        .description("Work Item Templates")
        .addSubCommand(_1.agileWorkTemplateInitCommandFactory())
        .addSubCommand(_1.agileWorkTemplateListCommandFactory())
        .addPhoneTree();
};
exports.agileWorkTemplateCommandFactory = agileWorkTemplateCommandFactory;
