"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.playbookIssueCreateCommandFactory = void 0;
const extensions_1 = require("../../../../extensions");
const utils_1 = require("../../../../utils");
const playbookLink = utils_1.Config.getLink("playbook");
const playbookIssueCreateCommandFactory = () => {
    return extensions_1.urlCommand({
        name: "create",
        description: "Create a playbook issue",
        url: `${playbookLink.url}/issues/new/choose`,
    });
};
exports.playbookIssueCreateCommandFactory = playbookIssueCreateCommandFactory;
