"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.playbookCommandFactory = void 0;
const extensions_1 = require("../../extensions");
const _1 = require(".");
const playbookCommandFactory = () => {
    return new extensions_1.Command()
        .name("playbook")
        .description("Interacting with the Code-With-Engineering Playbook")
        .addSubCommand(_1.playbookIssuesCommandFactory())
        .addSubCommand(_1.playbookTemplateCommandFactory())
        .addPhoneTree();
};
exports.playbookCommandFactory = playbookCommandFactory;
