"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.repoCommandFactory = void 0;
const extensions_1 = require("../../extensions");
const _1 = require(".");
const repoCommandFactory = () => {
    return new extensions_1.Command()
        .name("repo")
        .description("Repository management")
        .addSubCommand(_1.repoCreateCommandFactory())
        .addPhoneTree();
};
exports.repoCommandFactory = repoCommandFactory;
